// This file was generated by gir (https://github.com/gtk-rs/gir)
// from gir-files (https://github.com/gtk-rs/gir-files)
// DO NOT EDIT

#[cfg(any(feature = "v1_0", feature = "dox"))]
mod constraint;
#[cfg(any(feature = "v1_0", feature = "dox"))]
pub use self::constraint::{Constraint, ConstraintClass, NONE_CONSTRAINT};
#[cfg(any(feature = "v1_0", feature = "dox"))]
pub use self::constraint::ConstraintExt;

#[cfg(any(feature = "v1_0", feature = "dox"))]
mod constraint_layout;
#[cfg(any(feature = "v1_0", feature = "dox"))]
pub use self::constraint_layout::{ConstraintLayout, ConstraintLayoutClass, NONE_CONSTRAINT_LAYOUT};
#[cfg(any(feature = "v1_0", feature = "dox"))]
pub use self::constraint_layout::ConstraintLayoutExt;

#[cfg(any(feature = "v1_0", feature = "dox"))]
mod constraint_layout_child;
#[cfg(any(feature = "v1_0", feature = "dox"))]
pub use self::constraint_layout_child::{ConstraintLayoutChild, ConstraintLayoutChildClass, NONE_CONSTRAINT_LAYOUT_CHILD};
#[cfg(any(feature = "v1_0", feature = "dox"))]
pub use self::constraint_layout_child::ConstraintLayoutChildExt;

mod enums;
#[cfg(any(feature = "v1_0", feature = "dox"))]
pub use self::enums::ConstraintAttribute;
#[cfg(any(feature = "v1_0", feature = "dox"))]
pub use self::enums::ConstraintRelation;
#[cfg(any(feature = "v1_0", feature = "dox"))]
pub use self::enums::ConstraintStrength;

#[doc(hidden)]
pub mod traits {
    #[cfg(any(feature = "v1_0", feature = "dox"))]
    pub use super::ConstraintExt;
    #[cfg(any(feature = "v1_0", feature = "dox"))]
    pub use super::ConstraintLayoutExt;
    #[cfg(any(feature = "v1_0", feature = "dox"))]
    pub use super::ConstraintLayoutChildExt;
}
